<?php require_once("../default/common.php"); ?>

<?
	$status_inventaire = 0 ;
    $result = $db->query("SELECT status_inventaire FROM pm_".MODULE." WHERE id = ".$id);
    if($result !== false){
        
        // Datas of the module
            
        foreach($result as $row){
            
            // echo $id." ==> ".$row["status_inventaire"]."<br>";
			$status_inventaire = $row["status_inventaire"] ; 

		}
	}	

?>



<?
	if($_SESSION['user']['type'] == "production" && $status_inventaire == 1 ){
?>

<script>
jQuery(document).ready(function($) {
	$("input[name*='bf_qte_embal_0[0]']").attr("readonly","readonly");
	$("input[name*='bf_qte_0[0]']").attr("readonly","readonly");
	$("input[name*='bf_product_0[0]']").attr("readonly","readonly");
	$("input[name*='bf_date_bf_0[0][date]']").attr("readonly","readonly");
});
</script>	
<?
	}
?>

<script>
jQuery(document).ready(function($) {
	$("input[name*='bf_Colisage_0[0]']").attr("readonly","readonly");
	
	// for (var v = 0; v < 10; v++) { 
	$( ".chosen-select" ).each(function() {
		
		var id_index = $(this).attr("name");
		id_index = id_index.replace('bf_product_id_produits_0[', "");
		id_index = id_index.replace(']', "");
		
		var v = id_index ;
	
		$("select[name*='bf_product_id_be_0["+v+"]']").parent().append('<i class="fa fa-plus-circle text-success add_ligne" alt="#table_bf_product" ></i>');
	
		$("input[name*='bf_product_coulissage_0["+v+"]']").css("width","70px");
		$("select[name*='bf_product_id_be_0["+v+"]']").css("width","75px");
		
		
	
	
	
	
	
	
		//===================================================================
	var id_prod = $("select[name*='bf_product_id_produits_0["+v+"]']").val();
	
	var indexo = v ;
	
	// alert(id_prod);
	
	$("select[name*='bf_product_id_be_0["+v+"]'] option").hide();
	
	$.ajax({
			   url: "/admin/ajax/get_product_mp_be.php",
				type: "GET",
				data: {
					id: id_prod,
				},
				dataType: "JSON",
				success: function (jsonStr) { 
					var text = JSON.stringify(jsonStr) ;
					console.log(text);
					var obj = JSON.parse(text);
					var count_mf = Object.keys(obj).length;
						// var i = 1;

					
						// for (j = 0; j < count_mf; j++) { 	
						
							 // BE
						
							// console.log('==>'+obj[j].id);
							var ids_be = obj[0].ids_be.split(",");
							var i;
							for (i = 0; i < ids_be.length; ++i) {
								console.log("select[name*='bf_product_id_be_0["+indexo+"]'] [value='"+ids_be[i]+"']");
								$("select[name*='bf_product_id_be_0["+indexo+"]'] [value='"+ids_be[i]+"']").show();								
							}

							
							$( "input[name*='bf_product_coulissage_0["+v+"]']").attr("readonly","readonly");
							$( "select[name*='bf_product_unite_0["+v+"]']").attr("readonly","readonly");
						// }
				}
			});	
	//===================================================================
	});
	
	

	
	
	
	
	
	
		$(document).on( "click",".add_ligne",function() {

			
			var data_line = $(this).parent().parent();
			
			var id_index = $(this).prev().attr("name");
			
			var qte_val = $(this).prev().val();
			
			
			id_index = id_index.replace('bf_product_id_be_0[', "");
			id_index = id_index.replace(']', "");
			
			var prod_val = $("select[name*='bf_product_id_produits_0["+id_index+"]']").val();
			var unite_val = $("select[name*='bf_product_unite_0["+id_index+"]']").val();
			
			// alert(id_index);
			
			// $(".new_entry").click();
			var table = $($(this).attr('alt'));
            var row = $('tr', table);
            var index = row.length-1;
            // row = row.last().clone();
            row = $(this).parent().parent().clone();
            
            $('td', row).css('background-color','#dff0d8');
            // $('input, textarea', row).val('');
			// alert($('select > option', row).val());
			
            // $('select > option', row).prop('selected', false);
            // $('checkbox, radio', row).prop('checked', false);
            $('input, textarea, select, checkbox, radio', row).each(function(){
                old_name = $(this).attr('name');
                $(this).attr('name', old_name.replace(/([a-zA-Z_0-9\[\]]+)\[([0-9]+)\](\[\])?/, '$1['+index+']$3'));
            });
            // row.appendTo(table);
            row.insertAfter(data_line);
			
			$("input[name*='bf_product_id_0["+index+"]']").val('');
			
			$("select[name*='bf_product_id_be_0["+index+"]']").val('');
			$("select[name*='bf_product_id_produits_0["+index+"]']").val(prod_val);
			$("select[name*='bf_product_unite_0["+index+"]']").val(unite_val);
			
			$("input[name*='bf_product_qte_0["+index+"]']").val(0);
			$("input[name*='bf_product_qte_0["+index+"]']").next().html("");
            return false;
		});
	
	
	
});
</script>

